aboutsummaryrefslogtreecommitdiffstats
path: root/autotest.sh
diff options
context:
space:
mode:
authorJoas Schilling <coding@schilljs.com>2023-02-02 12:03:09 +0100
committerJoas Schilling <coding@schilljs.com>2023-02-02 12:03:09 +0100
commit5096d4f5cbdcf9c4e4beeb8e234105a1cffe711b (patch)
tree27c4f2db83e1ce27857ae84741812e8c1236f819 /autotest.sh
parent5d068ff5341b7af8c08c97fb77d90741c2f5f1e0 (diff)
downloadnextcloud-server-5096d4f5cbdcf9c4e4beeb8e234105a1cffe711b.tar.gz
nextcloud-server-5096d4f5cbdcf9c4e4beeb8e234105a1cffe711b.zip
Align version number of PHPUnit and give a helping install hint
Signed-off-by: Joas Schilling <coding@schilljs.com>
Diffstat (limited to 'autotest.sh')
-rwxr-xr-xautotest.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/autotest.sh b/autotest.sh
index 09b983bbfa2..81123b40567 100755
--- a/autotest.sh
+++ b/autotest.sh
@@ -61,7 +61,8 @@ else
fi
if ! [ -x "$PHPUNIT" ]; then
- echo "phpunit executable not found, please install phpunit version >= 9.0" >&2
+ echo "phpunit executable not found, please install phpunit version >= 9.0 manually or via:" >&2
+ echo " cd build/integration && composer install" >&2
exit 3
fi
@@ -76,8 +77,8 @@ PHPUNIT_VERSION=$($PHPUNIT --version | cut -d" " -f2)
PHPUNIT_MAJOR_VERSION=$(echo "$PHPUNIT_VERSION" | cut -d"." -f1)
PHPUNIT_MINOR_VERSION=$(echo "$PHPUNIT_VERSION" | cut -d"." -f2)
-if ! [ "$PHPUNIT_MAJOR_VERSION" -gt 6 -o \( "$PHPUNIT_MAJOR_VERSION" -eq 6 -a "$PHPUNIT_MINOR_VERSION" -ge 5 \) ]; then
- echo "phpunit version >= 6.5 required. Version found: $PHPUNIT_VERSION" >&2
+if ! [ "$PHPUNIT_MAJOR_VERSION" -gt 6 -o \( "$PHPUNIT_MAJOR_VERSION" -eq 9 -a "$PHPUNIT_MINOR_VERSION" -ge 0 \) ]; then
+ echo "phpunit version >= 9.0 required. Version found: $PHPUNIT_VERSION" >&2
exit 4
fi